View Issue Details

IDProjectCategoryView StatusLast Update
0007138GNUnetDHT servicepublic2022-02-26 23:10
Reporterschanzen Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Target Version0.16.0Fixed in Version0.16.0 
Summary0007138: Calculation closest peer is inconsistent with distance metric
DescriptionThe distance metric is calculated very differently from how we check if our own peer is the closest peer:
https://git.gnunet.org/gnunet.git/tree/src/dht/gnunet-service-dht_neighbours.c?id=9e0d7d411363999bca89f7e7b4e2896b8f6ec931#n949

While the distance metric (0007136) checks matching bits, checking if we are the closest peer to a key only checks for matching suffix lengths.
IMO GDS_am_closest_peer should do a distance comparison (which may use suffix matching for bucket selection for efficiency).
TagsNo tags attached.

Activities

Christian Grothoff

2022-01-03 14:40

manager   ~0018625

I think this is resolved.

schanzen

2022-02-26 23:10

manager   ~0018741

0.16.0 released

Issue History

Date Modified Username Field Change
2021-12-31 15:01 schanzen New Issue
2021-12-31 15:01 schanzen Status new => assigned
2021-12-31 15:01 schanzen Assigned To => Christian Grothoff
2021-12-31 15:02 schanzen Description Updated
2021-12-31 15:03 schanzen Description Updated
2022-01-03 14:40 Christian Grothoff Status assigned => resolved
2022-01-03 14:40 Christian Grothoff Resolution open => fixed
2022-01-03 14:40 Christian Grothoff Fixed in Version => 0.16.0
2022-01-03 14:40 Christian Grothoff Note Added: 0018625
2022-02-26 23:10 schanzen Note Added: 0018741
2022-02-26 23:10 schanzen Status resolved => closed